Description
Sous Linux, lors de la compilation du module Geo-Cuts on obtient I'erreur ci-dessous.

Vu que les fonctions et classes définies dans Meyer_max_flow.hpp ne semblent pas étre utilisées ailleurs, et qu'il n'est inclus que
dans GeoCutsAlgo_impl_T.hpp, si on évite cette inclusion le probléme disparait. Est-ce la bonne solution ?

In file included from /home/decencie/src/trunk/graphs/Geo-Cuts/src/../include/GeoCutsAlgo_impl_T.hpp:17,

from /home/decencie/src/trunk/graphs/Geo-Cuts/src/../include/GeoCuts_T.hpp:81,

from /home/decencie/src/trunk/graphs/Geo-Cuts/src/GeoCutsAlgo.cpp:10:
/home/decencie/src/trunk/graphs/Geo-Cuts/src/../include/../boost_ext/Meyer_max_flow.hpp: In member function «typename
boost::property_traits<lndexMap>::value_type boost::detail::meyer<Graph, EdgeCapacityMap, ResidualCapacityEdgeMap,
ReverseEdgeMap, PredecessorMap, ColorMap, DistanceMap, IndexMap>::max_flow()»:
/home/decencie/src/trunk/graphs/Geo-Cuts/src/../include/../boost_ext/Meyer_max_flow.hpp:121: erreur: type/value mismatch at
argument 1 in template parameter list for «template<class _Tp, class _Alloc> class std::vector»
/home/decencie/src/trunk/graphs/Geo-Cuts/src/../include/../boost_ext/Meyer_max_flow.hpp:121: erreur: expected a type, got
«boost::graph_traits<Graph>::vertex_descriptor»
/home/decencie/src/trunk/graphs/Geo-Cuts/src/../include/../boost_ext/Meyer_max_flow.hpp:121: erreur: patron de I'argument 2 est
invalide

/home/decencie/src/trunk/graphs/Geo-Cuts/src/../include/../boost_ext/Meyer_max_flow.hpp:121: erreur: invalid type in declaration
before «(» token

/home/decencie/src/trunk/graphs/Geo-Cuts/src/../include/../boost_ext/Meyer_max_flow.hpp:122: erreur: invalid types «int[int]» for
array subscript

History

#1 - 02/23/2009 10:58 AM - Serge Koudoro

- Status changed from Nouveau to Résolu

Apparemment, c'est la bonne solution. Jean effectuait quelque test avec Meyer_max_flow mais ne la jamais utiliser. j'ai retiré tout ceci du svn.

#2 - 02/23/2009 10:58 AM - Serge Koudoro
- % Done changed from 0 to 100

#3 - 09/13/2013 11:50 AM - Etienne Decenciére

- Status changed from Résolu to Fermé
